
local currX, currY
local points

local function addPoint( dx, dy )
	currX, currY = currX + dx, currY + dy
	local last = #points
	points[last + 1] = Point.new( currX, currY )
end

local function hilbert( dx, dy, depth )
	if depth > 1 then hilbert( dy, dx, depth - 1 ) end 
	addPoint( dx, dy )
	if depth > 1 then hilbert( dx, dy, depth - 1 ) end
	addPoint( dy, dx )
	if depth > 1 then hilbert( dx, dy, depth - 1 ) end
	addPoint( -dx, -dy )
	if depth > 1 then hilbert( -dy, -dx, depth - 1 ) end
end 

function createHilbertCurve( width, depth )
	local depth = depth or 1		-- the first order as a default
	local size = width / math.pow( 2, depth )
	local x1, y1 = size/2, size/2
	
	currX, currY = 0, 0
	points = {}
	
	addPoint( x1, y1 )				-- the starting point
	
	-- populate the list of points for Hilbert Curve
	hilbert( 0, size, depth )
	
	return points
end 	
