
function makeGrid( sections )
	local grid = Shape.new()
	grid:setFillStyle( Shape.NONE )
	grid:setLineStyle( 1, 0x888888 )
	grid:beginPath( Shape.NON_ZERO )
	
	local width = application:getDeviceWidth()
	local size = width / sections

	-- vertical lines
	for i = 1, sections - 1 do
		grid:moveTo( i * size, 0 )
		grid:lineTo( i * size, width )
	end

	-- horiz. lines
	for i = 1, sections - 1 do
		grid:moveTo( 0, i * size )
		grid:lineTo( width, i * size )
	end

	-- bottom border
	grid:moveTo( 0, width )
	grid:lineTo( width, width )

	grid:endPath()
	stage:addChild( grid )
end